package cz.upol.zp4jv.lecture02;

import java.io.IOException;
import java.net.URISyntaxException;
import java.net.URL;
import java.net.http.HttpClient;
import java.net.http.HttpClient.Version;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;

public class HttpClient20 {
	
	public static void main(String[] args) throws URISyntaxException, IOException, InterruptedException {
		URL url = new URL("https://www.inf.upol.cz/mapa-stranek"); 
		HttpClient httpClient = HttpClient.newBuilder().version(Version.HTTP_1_1).build();
		HttpRequest request   = HttpRequest.newBuilder().uri(url.toURI()).GET().build();
		
		HttpResponse<String> response = httpClient.send(request, BodyHandlers.ofString());
		System.out.println("Status: " + response.statusCode());
		System.out.println("Content: " + response.body());
	}

}
